package com.rongwei.sfcommon.sys.dao;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.Map;

public interface DataXApiDao {

    @Insert("${insertSql}")
    void addDataSyn(@Param("insertSql") String insertSql);

    @Insert("${updateSql}")
    void updateDataSyn(@Param("updateSql") String updateSql);

    @Select("${selectSql}")
    Map<String, Object> selectByTableNameId(@Param("selectSql") String selectSql);

}
